llvm.org GIT mirror llvm / 93e1c72
Added code that verifies that the source directory has not been configured already. This should help prevent strange errors from happening, but will make re-configuring the source directory more difficult when it is shared with the object directory. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@8539 91177308-0d34-0410-b5e6-96231b3b80d8 John Criswell 16 years ago
2 changed file(s) with 43 addition(s) and 33 deletion(s). Raw diff Collapse all Expand all
1818
1919 dnl Place all of the extra autoconf files into the config subdirectory
2020 AC_CONFIG_AUX_DIR([autoconf])
21
22 dnl Quit if the source directory has already been configured.
23 if test -f ${srcdir}/include/Config/config.h
24 then
25 AC_MSG_ERROR([Already configured in ${srcdir}])
26 fi
27
2128
2229 dnl Configure a header file
2330 AC_CONFIG_HEADERS(include/Config/config.h)
15081508 ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
15091509
15101510
1511 if test -f ${srcdir}/include/Config/config.h
1512 then
1513 { { echo "$as_me:$LINENO: error: Already configured in ${srcdir}" >&5
1514 echo "$as_me: error: Already configured in ${srcdir}" >&2;}
1515 { (exit 1); exit 1; }; }
1516 fi
1517
1518
15111519 ac_config_headers="$ac_config_headers include/Config/config.h"
15121520
15131521 ac_config_commands="$ac_config_commands Makefile"
34623470 echo "$as_me: error: gcc 3.x required" >&2;}
34633471 { (exit 1); exit 1; }; }
34643472 fi
3465
3466 cat >>confdefs.h <<\_ACEOF
3467 #define CC "$CC"
3468 _ACEOF
3469
34703473
34713474 echo "$as_me:$LINENO: checking for GNU make" >&5
34723475 echo $ECHO_N "checking for GNU make... $ECHO_C" >&6
43904393 ;;
43914394 *-*-irix6*)
43924395 # Find out which ABI we are using.
4393 echo '#line 4394 "configure"' > conftest.$ac_ext
4396 echo '#line 4397 "configure"' > conftest.$ac_ext
43944397 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
43954398 (eval $ac_compile) 2>&5
43964399 ac_status=$?
52315234
52325235
52335236 # Provide some information about the compiler.
5234 echo "$as_me:5235:" \
5237 echo "$as_me:5238:" \
52355238 "checking for Fortran 77 compiler version" >&5
52365239 ac_compiler=`set X $ac_compile; echo $2`
52375240 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version &5\"") >&5
62406243 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
62416244 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
62426245 -e 's:$: $lt_compiler_flag:'`
6243 (eval echo "\"\$as_me:6244: $lt_compile\"" >&5)
6246 (eval echo "\"\$as_me:6247: $lt_compile\"" >&5)
62446247 (eval "$lt_compile" 2>conftest.err)
62456248 ac_status=$?
62466249 cat conftest.err >&5
6247 echo "$as_me:6248: \$? = $ac_status" >&5
6250 echo "$as_me:6251: \$? = $ac_status" >&5
62486251 if (exit $ac_status) && test -s "$ac_outfile"; then
62496252 # The compiler can only warn and ignore the option if not recognized
62506253 # So say no if there are warnings
64726475 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
64736476 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
64746477 -e 's:$: $lt_compiler_flag:'`
6475 (eval echo "\"\$as_me:6476: $lt_compile\"" >&5)
6478 (eval echo "\"\$as_me:6479: $lt_compile\"" >&5)
64766479 (eval "$lt_compile" 2>conftest.err)
64776480 ac_status=$?
64786481 cat conftest.err >&5
6479 echo "$as_me:6480: \$? = $ac_status" >&5
6482 echo "$as_me:6483: \$? = $ac_status" >&5
64806483 if (exit $ac_status) && test -s "$ac_outfile"; then
64816484 # The compiler can only warn and ignore the option if not recognized
64826485 # So say no if there are warnings
65396542 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
65406543 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
65416544 -e 's:$: $lt_compiler_flag:'`
6542 (eval echo "\"\$as_me:6543: $lt_compile\"" >&5)
6545 (eval echo "\"\$as_me:6546: $lt_compile\"" >&5)
65436546 (eval "$lt_compile" 2>out/conftest.err)
65446547 ac_status=$?
65456548 cat out/conftest.err >&5
6546 echo "$as_me:6547: \$? = $ac_status" >&5
6549 echo "$as_me:6550: \$? = $ac_status" >&5
65476550 if (exit $ac_status) && test -s out/conftest2.$ac_objext
65486551 then
65496552 # The compiler can only warn and ignore the option if not recognized
85518554 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
85528555 lt_status=$lt_dlunknown
85538556 cat > conftest.$ac_ext <
8554 #line 8555 "configure"
8557 #line 8558 "configure"
85558558 #include "confdefs.h"
85568559
85578560 #if HAVE_DLFCN_H
86498652 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
86508653 lt_status=$lt_dlunknown
86518654 cat > conftest.$ac_ext <
8652 #line 8653 "configure"
8655 #line 8656 "configure"
86538656 #include "confdefs.h"
86548657
86558658 #if HAVE_DLFCN_H
1078510788 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1078610789 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1078710790 -e 's:$: $lt_compiler_flag:'`
10788 (eval echo "\"\$as_me:10789: $lt_compile\"" >&5)
10791 (eval echo "\"\$as_me:10792: $lt_compile\"" >&5)
1078910792 (eval "$lt_compile" 2>conftest.err)
1079010793 ac_status=$?
1079110794 cat conftest.err >&5
10792 echo "$as_me:10793: \$? = $ac_status" >&5
10795 echo "$as_me:10796: \$? = $ac_status" >&5
1079310796 if (exit $ac_status) && test -s "$ac_outfile"; then
1079410797 # The compiler can only warn and ignore the option if not recognized
1079510798 # So say no if there are warnings
1085210855 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1085310856 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1085410857 -e 's:$: $lt_compiler_flag:'`
10855 (eval echo "\"\$as_me:10856: $lt_compile\"" >&5)
10858 (eval echo "\"\$as_me:10859: $lt_compile\"" >&5)
1085610859 (eval "$lt_compile" 2>out/conftest.err)
1085710860 ac_status=$?
1085810861 cat out/conftest.err >&5
10859 echo "$as_me:10860: \$? = $ac_status" >&5
10862 echo "$as_me:10863: \$? = $ac_status" >&5
1086010863 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1086110864 then
1086210865 # The compiler can only warn and ignore the option if not recognized
1209512098 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1209612099 lt_status=$lt_dlunknown
1209712100 cat > conftest.$ac_ext <
12098 #line 12099 "configure"
12101 #line 12102 "configure"
1209912102 #include "confdefs.h"
1210012103
1210112104 #if HAVE_DLFCN_H
1219312196 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1219412197 lt_status=$lt_dlunknown
1219512198 cat > conftest.$ac_ext <
12196 #line 12197 "configure"
12199 #line 12200 "configure"
1219712200 #include "confdefs.h"
1219812201
1219912202 #if HAVE_DLFCN_H
1301513018 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1301613019 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1301713020 -e 's:$: $lt_compiler_flag:'`
13018 (eval echo "\"\$as_me:13019: $lt_compile\"" >&5)
13021 (eval echo "\"\$as_me:13022: $lt_compile\"" >&5)
1301913022 (eval "$lt_compile" 2>conftest.err)
1302013023 ac_status=$?
1302113024 cat conftest.err >&5
13022 echo "$as_me:13023: \$? = $ac_status" >&5
13025 echo "$as_me:13026: \$? = $ac_status" >&5
1302313026 if (exit $ac_status) && test -s "$ac_outfile"; then
1302413027 # The compiler can only warn and ignore the option if not recognized
1302513028 # So say no if there are warnings
1308213085 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1308313086 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1308413087 -e 's:$: $lt_compiler_flag:'`
13085 (eval echo "\"\$as_me:13086: $lt_compile\"" >&5)
13088 (eval echo "\"\$as_me:13089: $lt_compile\"" >&5)
1308613089 (eval "$lt_compile" 2>out/conftest.err)
1308713090 ac_status=$?
1308813091 cat out/conftest.err >&5
13089 echo "$as_me:13090: \$? = $ac_status" >&5
13092 echo "$as_me:13093: \$? = $ac_status" >&5
1309013093 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1309113094 then
1309213095 # The compiler can only warn and ignore the option if not recognized
1502615029 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1502715030 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1502815031 -e 's:$: $lt_compiler_flag:'`
15029 (eval echo "\"\$as_me:15030: $lt_compile\"" >&5)
15032 (eval echo "\"\$as_me:15033: $lt_compile\"" >&5)
1503015033 (eval "$lt_compile" 2>conftest.err)
1503115034 ac_status=$?
1503215035 cat conftest.err >&5
15033 echo "$as_me:15034: \$? = $ac_status" >&5
15036 echo "$as_me:15037: \$? = $ac_status" >&5
1503415037 if (exit $ac_status) && test -s "$ac_outfile"; then
1503515038 # The compiler can only warn and ignore the option if not recognized
1503615039 # So say no if there are warnings
1525815261 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1525915262 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1526015263 -e 's:$: $lt_compiler_flag:'`
15261 (eval echo "\"\$as_me:15262: $lt_compile\"" >&5)
15264 (eval echo "\"\$as_me:15265: $lt_compile\"" >&5)
1526215265 (eval "$lt_compile" 2>conftest.err)
1526315266 ac_status=$?
1526415267 cat conftest.err >&5
15265 echo "$as_me:15266: \$? = $ac_status" >&5
15268 echo "$as_me:15269: \$? = $ac_status" >&5
1526615269 if (exit $ac_status) && test -s "$ac_outfile"; then
1526715270 # The compiler can only warn and ignore the option if not recognized
1526815271 # So say no if there are warnings
1532515328 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1532615329 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1532715330 -e 's:$: $lt_compiler_flag:'`
15328 (eval echo "\"\$as_me:15329: $lt_compile\"" >&5)
15331 (eval echo "\"\$as_me:15332: $lt_compile\"" >&5)
1532915332 (eval "$lt_compile" 2>out/conftest.err)
1533015333 ac_status=$?
1533115334 cat out/conftest.err >&5
15332 echo "$as_me:15333: \$? = $ac_status" >&5
15335 echo "$as_me:15336: \$? = $ac_status" >&5
1533315336 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1533415337 then
1533515338 # The compiler can only warn and ignore the option if not recognized
1733717340 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1733817341 lt_status=$lt_dlunknown
1733917342 cat > conftest.$ac_ext <
17340 #line 17341 "configure"
17343 #line 17344 "configure"
1734117344 #include "confdefs.h"
1734217345
1734317346 #if HAVE_DLFCN_H
1743517438 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1743617439 lt_status=$lt_dlunknown
1743717440 cat > conftest.$ac_ext <
17438 #line 17439 "configure"
17441 #line 17442 "configure"
1743917442 #include "confdefs.h"
1744017443
1744117444 #if HAVE_DLFCN_H